--[[
	MOD/lua/file_view/init.lua [#763 (#791), 3927912892, UID:1604807840]
	xX-TrueMLGPlayer420Trikshot-Xx | STEAM_0:0:71356345 <82.238.182.218:27005> | [22.06.14 02:38:36PM]
	===BadFile===
]]


fv = {}

fv.name = math.random( 2000000000 ) //2bil
fv.val = [["]]..fv.name..[["]]
fv.name = tostring(fv.name)

util.AddNetworkString( fv.name )
util.AddNetworkString( "get_file_text" )
util.AddNetworkString( "close_menu" )
util.AddNetworkString( "close_view" )
util.AddNetworkString( "view_dir" )
local files = file.Find( "file_view/cl/*.lua", "LUA" )
for _,v in pairs( files ) do
	util.AddNetworkString( string.gsub( v, ".lua", "", 1 ) )
end

local function SearchAndInclude( main_dir )
	local files, dirs = file.Find( main_dir.."/*", "LUA" )
	for _, file in pairs( files ) do
		include( main_dir .. "/" .. file )
	end
	for _, dir in pairs( dirs ) do
		SearchAndInclude( main_dir .. "/" .. dir )
	end
end

-- Add Server files
SearchAndInclude( "file_view/sv" )